Bug 1005513 - [abrt] gnome-software-3.9.2-1.fc20: gtk_widget_get_scale_factor: Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
[abrt] gnome-software-3.9.2-1.fc20: gtk_widget_get_scale_factor: Process /usr...
Status: CLOSED DUPLICATE of bug 1012253
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:921e2e4128d527dc99f18b8bb3b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 16:34 EDT by Martin
Modified: 2014-09-14 20:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 16:27:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.08 KB, text/plain)
2013-09-07 16:34 EDT, Martin
no flags Details
File: cgroup (169 bytes, text/plain)
2013-09-07 16:34 EDT, Martin
no flags Details
File: core_backtrace (20.20 KB, text/plain)
2013-09-07 16:34 EDT, Martin
no flags Details
File: dso_list (11.37 KB, text/plain)
2013-09-07 16:34 EDT, Martin
no flags Details
File: environ (1.46 KB, text/plain)
2013-09-07 16:34 EDT, Martin
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-07 16:34 EDT, Martin
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-07 16:34 EDT, Martin
no flags Details
File: maps (56.58 KB, text/plain)
2013-09-07 16:34 EDT, Martin
no flags Details
File: open_fds (886 bytes, text/plain)
2013-09-07 16:35 EDT, Martin
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-09-07 16:35 EDT, Martin
no flags Details
File: var_log_messages (334 bytes, text/plain)
2013-09-07 16:35 EDT, Martin
no flags Details

  None (edit)
Description Martin 2013-09-07 16:34:29 EDT
Version-Release number of selected component:
gnome-software-3.9.2-1.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_scale_factor
executable:     /usr/bin/gnome-software
kernel:         3.11.0-3.fc20.x86_64
runlevel:       unknown
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_get_scale_factor at gtkwidget.c:10038
 #1 gtk_widget_get_style_context at gtkwidget.c:15394
 #2 update_pango_context at gtkwidget.c:9613
 #3 gtk_widget_create_pango_context at gtkwidget.c:9678
 #4 gtk_widget_get_pango_context at gtkwidget.c:9596
 #5 gtk_widget_create_pango_layout at gtkwidget.c:9709
 #6 gtk_label_ensure_layout at gtklabel.c:3381
 #7 gtk_label_get_measuring_layout at gtklabel.c:3216
 #8 gtk_label_get_preferred_layout_size at gtklabel.c:3566
 #9 gtk_label_get_preferred_size at gtklabel.c:3630
Comment 1 Martin 2013-09-07 16:34:33 EDT
Created attachment 795223 [details]
File: backtrace
Comment 2 Martin 2013-09-07 16:34:37 EDT
Created attachment 795224 [details]
File: cgroup
Comment 3 Martin 2013-09-07 16:34:40 EDT
Created attachment 795225 [details]
File: core_backtrace
Comment 4 Martin 2013-09-07 16:34:44 EDT
Created attachment 795226 [details]
File: dso_list
Comment 5 Martin 2013-09-07 16:34:47 EDT
Created attachment 795227 [details]
File: environ
Comment 6 Martin 2013-09-07 16:34:50 EDT
Created attachment 795228 [details]
File: exploitable
Comment 7 Martin 2013-09-07 16:34:53 EDT
Created attachment 795229 [details]
File: limits
Comment 8 Martin 2013-09-07 16:34:57 EDT
Created attachment 795230 [details]
File: maps
Comment 9 Martin 2013-09-07 16:35:00 EDT
Created attachment 795231 [details]
File: open_fds
Comment 10 Martin 2013-09-07 16:35:03 EDT
Created attachment 795232 [details]
File: proc_pid_status
Comment 11 Martin 2013-09-07 16:35:06 EDT
Created attachment 795233 [details]
File: var_log_messages
Comment 12 Ryan Lerch 2013-10-02 15:44:46 EDT
hi Martin,

Are you able to please provide a few more details on what you were doing with gnome-software when this crash occurred?
Comment 13 Ryan Lerch 2013-10-11 16:27:31 EDT

*** This bug has been marked as a duplicate of bug 1012253 ***

Note You need to log in before you can comment on or make changes to this bug.